Swap TabStateCache contents when docShells are swapped
We currently only swap existing tabs (that most likely have data in the tab state cache) with new ones. Therefore after swapping the tab state cache will not contain an entry for the non-blank docShell and we will collect data properly. We should handle the case correctly though.